"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createReduxStore = void 0;
var tslib_1 = require("tslib");
var core_1 = require("@redux-model/core");
var localStorage_1 = tslib_1.__importDefault(require("../storages/localStorage"));
var sessionStorage_1 = tslib_1.__importDefault(require("../storages/sessionStorage"));
/**
 * The store engine for persist.
 *
 * `local:   Promised localStorage`
 *
 * `session: Promised sessionStorage`
 *
 * `memory:  Promised object for testing`
 */
exports.createReduxStore = function (config) {
    if (config.persist) {
        switch (config.persist.storage) {
            case 'local':
                config.persist.storage = localStorage_1.default;
                break;
            case 'session':
                config.persist.storage = sessionStorage_1.default;
                break;
        }
    }
    return core_1.storeHelper.createStore(config);
};
